<?php
if(!defined('INDEX')) { header('Location: ../'); exit; }
$titre = 'Sanction joueur';
$pagea = 'erreur';

	$template->assign('linkpage', 'sjoueurs');

if (!empty($_GET['id']) && !empty($_GET['sanc']) && (!empty($_GET['raisonmv']) || $_GET['sanc'] < 0)) {
	$raisonmv = $_GET['raisonmv'];
	$id_plan = $_GET['id'];
	$chapeau->connexion();
	$chapeau->escape($raisonmv);
	$chapeau->escape($id_plan);

	if ($_GET['sanc'] == 'definitif' || $_GET['sanc'] == 'définitif' || $_GET['sanc'] == 'd') {
		$chapeau->query("UPDATE $table_user SET mv = '3', raisonmv = '$raisonmv', operateurmv = '$id_user' WHERE id = '$id_plan';");
		$chapeau->deconnexion();

		$template->assign('message', 'Le joueur a été banni définitivement !');
	}
	else {
		$sanc = $_GET['sanc'];
		$time = time() + $_GET['sanc'] * 86400 - 259200;
		$chapeau->query("UPDATE $table_user SET mv = '2', last_visite = '$time', raisonmv = '$raisonmv', operateurmv = '$id_user' WHERE id = '$id_plan';");
		$chapeau->deconnexion();

		$template->assign('message', 'Le joueur a été placé en mode vacances !');
	}
}
elseif (!empty($_GET['name']) && !empty($_GET['sanc']) && isset($_GET['raisonmv'])) {
	$name = $_GET['name'];
	$chapeau->connexion();
	$chapeau->escape($name);
	$req = $chapeau->unique_query("SELECT * FROM $table_user WHERE pseudo = '$name';");
	$chapeau->deconnexion();
	header('Location: admin.php?p=sjoueurs&sanc='.$_GET['sanc'].'&raisonmv='.$_GET['raisonmv'].'&id='.$req['id']);
	exit;
}
else {
	$pagea = 'sanctionU_choix';
}
?>